# Probabilistic Graphical Model Library
#
# Copyright (C) 2016
#
# author: Natapol Pornputtapong <natapol.por@gmail.com>
#
# Documentation: Natapol Pornputtapong
#

raise "Please, use ruby 1.9.0 or later." if RUBY_VERSION < "1.9.0"

$: << File.join(File.expand_path(File.dirname(__FILE__)))

#Internal library
require 'i18n'

#External library


I18n.enforce_available_locales = false



#library
require 'pgm/model'

# A ruby library for probabilistic graphical model
module PGM

  # version of the library
  VERSION = "0.0.1"

  # Exception class for NotDirectedError
  class NotDirectedError < RuntimeError; end

  # Exception class for NotUndirectedError
  class NotUndirectedError < RuntimeError; end

  # Exception class for NoVertexError
  class NoVertexError < IndexError; end

  # Exception class for NoEdgeError
  class NoEdgeError < IndexError; end
end
